grk::TilePartInfo Struct Reference

`#include <LengthCache.h>`

## Public Member Functions

| TilePartInfo (uint64_t start, uint64_t endHeader, uint64_t end)
| TilePartInfo (void)
void | dump (FILE *outputFileStream, uint8_t tilePart)

## Public Attributes

uint64_t | startPosition
| start position of tile part
uint64_t | endHeaderPosition
| end position of tile part header
uint64_t | endPosition
| end position of tile part

## Constructor & Destructor Documentation

## TilePartInfo() [1/2]

grk::TilePartInfo::TilePartInfo | ( | uint64_t | start,
|  | uint64_t | endHeader,
|  | uint64_t | end
| ) |  |

## TilePartInfo() [2/2]

grk::TilePartInfo::TilePartInfo | ( | void |  | ) |

## Member Function Documentation

## dump()

void grk::TilePartInfo::dump | ( | FILE * | outputFileStream,
|  | uint8_t | tilePart
| ) |  |

References endHeaderPosition, endPosition, and startPosition.

Referenced by grk::TileInfo::dump().

## Member Data Documentation

## endHeaderPosition

uint64_t grk::TilePartInfo::endHeaderPosition

end position of tile part header

Referenced by dump().

## endPosition

uint64_t grk::TilePartInfo::endPosition

end position of tile part

Referenced by dump().

## startPosition

uint64_t grk::TilePartInfo::startPosition

start position of tile part

Referenced by dump().

The documentation for this struct was generated from the following files:

- LengthCache.h
- LengthCache.cpp